# MysteryEncounterRewardsPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterRewardsPhase

Will handle (in order):

- doContinueEncounter() callback for continuous encounters with back-to-back battles (this should push/shift its own phases as needed)

OR

- Any encounter reward logic that is set within MysteryEncounter.doEncounterExp
- Any encounter reward logic that is set within MysteryEncounter.doEncounterRewards
- Otherwise, can add a no-reward-item shop with only Potions, etc. if addHealPhase is true
- Queuing of the `PostMysteryEncounterPhase`

#### Hierarchy (View Summary)

- Phase
  - MysteryEncounterRewardsPhase

- Defined in src/phases/mystery-encounter-phases.ts:516

##### Index

### Constructors

constructor

### Properties

addHealPhase

### Methods

doEncounterRewardsAndContinue
end
start

## Constructors

### constructor

- new MysteryEncounterRewardsPhase(
  addHealPhase?: boolean,
  ): MysteryEncounterRewardsPhase

  #### Parameters

  - addHealPhase: boolean = false

  #### Returns MysteryEncounterRewardsPhase

  Overrides Phase.constructor

  - Defined in src/phases/mystery-encounter-phases.ts:519

## Properties

### addHealPhase

addHealPhase: boolean

- Defined in src/phases/mystery-encounter-phases.ts:517

## Methods

### doEncounterRewardsAndContinue

- doEncounterRewardsAndContinue(): void

  Queues encounter EXP and rewards phases, `PostMysteryEncounterPhase`, and ends phase

  #### Returns void

  - Defined in src/phases/mystery-encounter-phases.ts:552

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Runs MysteryEncounter.doContinueEncounter and ends phase, OR MysteryEncounter.onRewards then continues encounter

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/mystery-encounter-phases.ts:527